
# Name

* WG Master (**W**inzer**g**enossenschaft **Master**)
* Ewigev (**E**lektronische **Wi**nzer**ge**nossenschafts**v**erwaltung), Ewige/Ewig
* Kelwin (**K**ompakte **El**ektronische **Win**zergenossenschaftsverwaltung)
* Dionysos (griechischer Gott des Weines, der Freude, der Trauben, der Fruchtbarkeit, des Wahnsinns und der Ekstase)
* Urban I. (Patron der Weinberge, des Weines, der Winzer und Küfer)
* Elwig (**El**ektronische **Wi**nzer**g**enossenschaftsverwaltung)


# Migrate DB

```shell
cd data
python3 plz.py
cd ..
cd wgmaster
python3 migrate.py -q IN_DIR OUT_DIR -d DB.sqlite3
python3 import.py OUT_DIR NEW.sqlite3
cd ..
```


# Razor Templates

* [Razor.Templating.Core](https://github.com/soundaranbu/Razor.Templating.Core)
* [RazorLight](https://github.com/toddams/RazorLight)
* [BlazorTemplater](https://github.com/conficient/BlazorTemplater)
* [Fluid](https://github.com/sebastienros/fluid)

```
template.cshtml -[razor]-> out.html -[edge]-> out.pdf -[print]-> paper
```

# Technologies

* C#
* WPF
* LINQ
* SQLite


# Links

[PLZ](https://www.post.at/g/c/postlexikon)

[DIN 5008 PDF](https://www.zeitblueten.com/wp-content/uploads/geschaeftsbrief-muster-vorlage.pdf)

[DIN 5008 Bild](https://www.casagenotta.com/wp-content/uploads/2020/10/druckbar-von-pages-norm-din-5008-brief-vorlage-numbersvorlagende-rechnung-din-5008-vorlage-2048x1362.jpg)
